%define anolis_release 2
%global smallversion 0.4

Name:           libvisual
Version:        0.4.1
Release:        %{anolis_release}%{?dist}
Epoch:		1
Summary:        Abstraction library for audio visualisation plugins
License:        LGPLv2+
URL:            http://libvisual.sf.net
Source0:        https://sourceforge.net/projects/libvisual/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Libvisual is an abstraction library that comes between applications and
audio visualisation plugins.

Often when it comes to audio visualisation plugins or programs that create
visuals they do depend on a player or something else, basically there is no
general framework that enable application developers to easy access cool
audio visualisation plugins. Libvisual wants to change this by providing
an interface towards plugins and applications, through this easy to use
interface applications can easily access plugins and since the drawing is
done by the application it also enables the developer to draw the visual
anywhere he wants.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for libvisual
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Libvisual is an abstraction library that comes between applications and
audio visualisation plugins.

This package contains the files needed to build an application with libvisual.

%prep
%setup -q

%build
%configure --disable-examples
%make_build

%install
%make_install

%find_lang %{name}-%{smallversion}

%files -f %{name}-%{smallversion}.lang
%license COPYING
%{_libdir}/*.so.*

%files doc
%doc AUTHORS ChangeLog NEWS README TODO

%files devel
%doc README NEWS TODO AUTHORS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{smallversion}


%changelog
* Fri Dec 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.4.1-2
- rebuild

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 1:0.4.1-1
- New version 0.4.1

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.4.0-3
- add doc package

* Tue Apr 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.4.0-2
- remove multilib process

* Fri Apr 15 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.4.0-1
- Init from upstream version 0.4.0

